package org.wcs.mapper.intf;

import com.baomidou.mybatisplus.extension.service.IService;
import org.wcs.model.po.app.AppBaseUserGroup;

import java.util.List;

/**
 * 用户组数据库表操作接口
 */
public interface AppBaseUserGroupService extends IService<AppBaseUserGroup> {

    List<AppBaseUserGroup> queryWithLevelMin(Integer groupLevel); // 查询用户组等级低于这个等级的数据
    int insert(AppBaseUserGroup appBaseUserGroup);
    int deleteByUserGroupThrowException(String userGroup);
    int update(AppBaseUserGroup appBaseUserGroup);
}
